#include <exec/types.h>
#include <exec/exec.h>
#include <intuition/intuition.h>
#include <devices/serial.h>
#include <devices/timer.h>
#include <proto/intuition.h>
#include <proto/exec.h>
#include <ctype.h>
#include <stdio.h>

extern void DownLoad(void);
extern void UpLoad(void);

extern struct MsgPort  *WritePort, *ReadPort, TimerMsgPort;
extern struct IOExtSer *WriteReq,  *ReadReq;
extern struct timerequest  TimerIO;
extern struct Window *w;
extern ULONG  ReadSignal, ScreenSignal, TimeSignal;
extern UBYTE  ReadData[2000];
extern UBYTE  NAK, ProtoInit;
extern struct Menu Menus[];

#define MENUHEIGHT	8
#define MENUWIDTH	80

#define PROJECTMENU	0
#define PROJECTCONFIG	0
#define PROJECTQUIT	1

#define TRANSFERMENU	1
#define TRANSFERDOWN	0
#define TRANSFERUP	1

