#include <intuition/intuition.h>
#include "term.h"

struct IntuiText ProjectText[2] =
{
	0,1,JAM2,0,0,NULL,"Config",NULL, 
	0,1,JAM2,0,0,NULL,"Quit"  ,NULL, 
};

struct IntuiText TransferText[2] =
{
	0,1,JAM2,0,0,NULL,"DnLoad",NULL, 
	0,1,JAM2,0,0,NULL,"UpLoad",NULL, 
};

struct MenuItem ProjectItems[2] =
{
	&ProjectItems[1],
	0,					/* Left Edge */
	0 * MENUHEIGHT,				/* Top  Edge */
	MENUWIDTH,
	MENUHEIGHT,
	ITEMTEXT|HIGHCOMP|ITEMENABLED,		/* Flags     */
	0,					/* Mutual Ex */
	(APTR)&ProjectText[0],			/* ItemFill  */
	NULL,					/* SelectFill */
	NULL,					/* Command   */
	NULL,					/* SubItem   */
	NULL,					/* NextSelect */
	
	NULL,
	0,					/* Left Edge */
	1 * MENUHEIGHT,				/* Top  Edge */
	MENUWIDTH,
	MENUHEIGHT,
	ITEMTEXT|HIGHCOMP|ITEMENABLED,		/* Flags     */
	0,					/* Mutual Ex */
	(APTR)&ProjectText[1],			/* ItemFill  */
	NULL,					/* SelectFill */
	NULL,					/* Command   */
	NULL,					/* SubItem   */
	NULL,					/* NextSelect */
};

struct MenuItem TransferItems[2] =
{
	&TransferItems[1],
	0,					/* Left Edge */
	0 * MENUHEIGHT,				/* Top  Edge */
	MENUWIDTH,
	MENUHEIGHT,
	ITEMTEXT|HIGHCOMP|ITEMENABLED,		/* Flags     */
	0,					/* Mutual Ex */
	(APTR)&TransferText[0],			/* ItemFill  */
	NULL,					/* SelectFill */
	NULL,					/* Command   */
	NULL,					/* SubItem   */
	NULL,					/* NextSelect */
	
	NULL,
	0,					/* Left Edge */
	1 * MENUHEIGHT,				/* Top  Edge */
	MENUWIDTH,
	MENUHEIGHT,
	ITEMTEXT|HIGHCOMP/*|ITEMENABLED*/,	/* Flags     */
	0,					/* Mutual Ex */
	(APTR)&TransferText[1],			/* ItemFill  */
	NULL,					/* SelectFill */
	NULL,					/* Command   */
	NULL,					/* SubItem   */
	NULL,					/* NextSelect */
};

struct Menu Menus[2] =
{
	{
		&Menus[1],
		PROJECTMENU * MENUWIDTH,	/* Left Edge */
		0,				/* Top  Edge */
		MENUWIDTH,
		MENUHEIGHT,
		MENUENABLED,
		"Project",
		&ProjectItems[0],
	},
	{
		NULL,
		TRANSFERMENU * MENUWIDTH,	/* Left Edge */
		0,				/* Top  Edge */
		MENUWIDTH,
		MENUHEIGHT,
		MENUENABLED,
		"Transfer",
		&TransferItems[0],
	},
};

